## org.eclipse.emf.ecore.xmi
Interface EcoreBuilder

All Known Implementing Classes:
  DefaultEcoreBuilder

    public interface EcoreBuilder

The interface describes an XML Schema to Ecore builder.

Method Summary
`java.util.Collection<? extends Resource>` `generate(java.util.Collection<URI> uris)` Given XML Schema location URIs this method creates corresponding Ecore model(s)
`java.util.Collection<? extends Resource>` `generate(java.util.Map<java.lang.String,URI> targetNamespaceToURI)` Given a map of XML Schema targetNamespaces (String) to XML Schema location URIs, this method generates corresponding Ecore model(s).
`java.util.Collection<? extends Resource>` `generate(URI uri)` Given an XML schema location URI this method creates corresponding Ecore model(s)
`void` `setExtendedMetaData(ExtendedMetaData extendedMetaData)` Sets extended meta data to register generated Ecore models.

Method Detail

### generate

    java.util.Collection<? extends Resource> generate(URI uri)
                                                      throws java.lang.Exception

  Given an XML schema location URI this method creates corresponding Ecore model(s)

  Parameters:
    `uri` - - location of the XML Schema files.
  Returns:
    Collection of resources containing the generated models.
  Throws:
    `java.lang.Exception`
  See Also:
    `URI`

### generate

    java.util.Collection<? extends Resource> generate(java.util.Collection<URI> uris)
                                                      throws java.lang.Exception

  Given XML Schema location URIs this method creates corresponding Ecore model(s)

  Parameters:
    `uris` - - locations of the XML Schema files.
  Returns:
    Collection of resources containing the generated models.
  Throws:
    `java.lang.Exception`
  See Also:
    `URI`

### generate

    java.util.Collection<? extends Resource> generate(java.util.Map<java.lang.String,URI> targetNamespaceToURI)
                                                      throws java.lang.Exception

  Given a map of XML Schema targetNamespaces (String) to XML Schema location URIs, this method generates corresponding Ecore model(s).

  Parameters:
    `targetNamespaceToURI` - - a map of XML Schema targetNamespaces to XML Schema location URIs
  Returns:
    Collection of resources containing the generated models.
  Throws:
    `java.lang.Exception`
  See Also:
    `URI`

### setExtendedMetaData

    void setExtendedMetaData(ExtendedMetaData extendedMetaData)

  Sets extended meta data to register generated Ecore models. Note the same extended meta data should be used for loading/saving an instance document.

  Parameters:
    `extendedMetaData` -

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.